package Sah::SchemaR::perl::colorscheme::modname;

our $DATE = '2021-03-20'; # DATE
our $VERSION = '0.004'; # VERSION

our $rschema = ["str",[{description=>"\nContains coercion rule so you can also input `Foo-Bar`, `Foo/Bar`, `Foo/Bar.pm`\nor even 'Foo.Bar' and it will be normalized into `Foo::Bar`.\n\n",examples=>[{valid=>0,value=>""},{valid=>1,value=>"Foo::Bar"},{valid=>1,validated_value=>"Foo::Bar",value=>"Foo-Bar"},{valid=>1,validated_value=>"Foo::Bar",value=>"Foo/Bar"},{valid=>1,validated_value=>"Foo::Bar",value=>"Foo/Bar.pm"},{valid=>1,validated_value=>"Foo::Bar",value=>"Foo.Bar"},{valid=>0,value=>"Foo|Bar"}],match=>"\\A(?:[A-Za-z_][A-Za-z_0-9]*(::[A-Za-z_0-9]+)*)\\z",summary=>"Perl module name, e.g. Foo::Bar","x.completion"=>"perl_modname","x.perl.coerce_rules"=>["From_str::normalize_perl_modname"]},{examples=>[{valid=>0,value=>""},{valid=>1,value=>"WWW"},{valid=>1,validated_value=>"WWW::Foo",value=>"WWW::Foo"},{valid=>1,validated_value=>"WWW::Foo",value=>"WWW/Foo"},{summary=>"contains whitespace",valid=>0,value=>"Foo Bar"}],summary=>"Perl module name in the Graphics::ColorNames:: namespace without the namespace prefix, e.g. WWW or X","x.completion"=>["perl_modname",{ns_prefix=>"Graphics::ColorNames",recurse=>undef,recurse_matching=>"all-at-once"}]}],["perl::modname","str"]];

1;
# ABSTRACT: Perl module name in the Graphics::ColorNames:: namespace without the namespace prefix, e.g. WWW or X

__END__

=pod

=encoding UTF-8

=head1 NAME

Sah::SchemaR::perl::colorscheme::modname - Perl module name in the Graphics::ColorNames:: namespace without the namespace prefix, e.g. WWW or X

=head1 VERSION

This document describes version 0.004 of Sah::SchemaR::perl::colorscheme::modname (from Perl distribution Sah-Schemas-GraphicsColorNames), released on 2021-03-20.

=head1 DESCRIPTION

This module is automatically generated by Dist::Zilla::Plugin::Sah::Schemas during distribution build.

A Sah::SchemaR::* module is useful if a client wants to quickly lookup the base type of a schema without having to do any extra resolving. With Sah::Schema::*, one might need to do several lookups if a schema is based on another schema, and so on. Compare for example L<Sah::Schema::poseven> vs L<Sah::SchemaR::poseven>, where in Sah::SchemaR::poseven one can immediately get that the base type is C<int>. Currently L<Perinci::Sub::Complete> uses Sah::SchemaR::* instead of Sah::Schema::* for reduced startup overhead when doing tab completion.

=head1 HOMEPAGE

Please visit the project's homepage at L<https://metacpan.org/release/Sah-Schemas-GraphicsColorNames>.

=head1 SOURCE

Source repository is at L<https://github.com/perlancar/perl-Sah-Schemas-GraphicsColorNames>.

=head1 BUGS

Please report any bugs or feature requests on the bugtracker website L<https://github.com/perlancar/perl-Sah-Schemas-GraphicsColorNames/issues>

When submitting a bug or request, please include a test-file or a
patch to an existing test-file that illustrates the bug or desired
feature.

=head1 AUTHOR

perlancar <perlancar@cpan.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2021, 2020 by perlancar@cpan.org.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
